
html {
    height: 100%;
    transition: background-color .3s ease, color .3s ease;
}
body {
    height: 100%;
    background: linear-gradient(0deg, rgba(var(--bs-tertiary-bg-rgb), 1) 0%);
    background-repeat: repeat-y;
    background-color: rgba(var(--bs-tertiary-bg-rgb), 1);
}
.app-container {
    min-height: 100vh;
    min-height: 100dvh;
    display: flex;
    flex-direction: column;
    background-color: var(--bs-body-bg);
}
.navbar {
    border-bottom: var(--bs-border-width) var(--bs-border-style) var(--bs-border-color);
}
.navbar-toggler {
    border-color: transparent;
}
main {
    flex: 1;
}
.app-background {
    background-image: url('/images/background.png');
    background-size: cover;
    background-position: center center;
    background-blend-mode: multiply;
}
.app-background > nav {
    background: linear-gradient(0deg,rgba(var(--bs-tertiary-bg-rgb),0.75) 0%, rgba(var(--bs-tertiary-bg-rgb),var(--bs-bg-opacity)) 100%);
    background-color: transparent !important;
}
.app-background > footer {
    background: linear-gradient(0deg,rgba(var(--bs-tertiary-bg-rgb),var(--bs-bg-opacity)) 0%, rgba(var(--bs-tertiary-bg-rgb),0.75) 100%);
    background-color: transparent !important;
}
.main-container {
    font-family: "SF Pro Display", "SF Pro Icons", "Helvetica Neue", Helvetica, Arial, sans-serif;
}

.list-group-header {
    border-color: transparent;
    padding-top: 3px;
    padding-bottom: 3px;
    font-weight: bold;
}
.localization-preview {
    pointer-events: none;
    width: 100%;
    border-radius: 16px;
}

.tree-table > thead > tr > th,
.tree-table > tbody > tr:last-child > td {
    border-bottom: 0;
}
.tree-table > tbody > tr:first-child > td:first-child {
    border-top-left-radius: 8px;
}
.tree-table > tbody > tr:first-child > td:last-child {
    border-top-right-radius: 8px;
}
.tree-table > tbody > tr:last-child > td:first-child {
    border-bottom-left-radius: 8px;
}
.tree-table > tbody > tr:last-child > td:last-child {
    border-bottom-right-radius: 8px;
}

.tree-column {
    position: relative;
}
.tree {
    position: absolute;
    top: -1px;
    bottom: 0;
    width: 3px;
    background-color: var(--bs-body-color);
}
.tree-table > tbody > tr:first-child > td > .tree {
    top: 0;
}
.tree-last {
    bottom: auto;
    height: 20px;
}
.branch {
    position: absolute;
    top: 19px;
    bottom: 0;
    width: 15px;
    height: 3px;
    background-color: var(--bs-body-color);
    border-radius: 0 2px 2px 3px;
}
.tree-table ul {
    padding-left: 1.3rem;
    margin-bottom: 0;
}
@media (min-width: 992px) {
    .width-lg-250 {
        width: 250px;
    }
}

.form-floating>.form-select~label {
    opacity: 1;
    transform: scale(1) translateY(0rem) translateX(0rem);
}

.form-floating>.form-select:focus~label,
.form-floating>.form-select:has(option:checked:not([value=""]))~label {
    opacity: .65;
    transform: scale(.85) translateY(-0.5rem) translateX(0.15rem);
}


.extended-input-group > .input-group > .input-group-text {
    display: none;
}

.extended-input-group > .input-group > input:not(:first-child):not(.dropdown-menu):not(.valid-tooltip):not(.valid-feedback):not(.invalid-tooltip):not(.invalid-feedback) {
    margin-left: 0;
    border-top-left-radius: var(--bs-border-radius);
    border-bottom-left-radius: var(--bs-border-radius);
}

@media (min-width:768px) {
    .extended-input-group > .form-label {
        display: none;
    }
    .extended-input-group > .input-group > .input-group-text {
        display: flex;
    }
    .extended-input-group > .input-group > input:not(:first-child):not(.dropdown-menu):not(.valid-tooltip):not(.valid-feedback):not(.invalid-tooltip):not(.invalid-feedback) {
        margin-left: calc(-1 * var(--bs-border-width));
        border-top-left-radius: 0;
        border-bottom-left-radius: 0;
    }
}

.chat {
    display: inline-block;
}

.bubble:nth-child(odd) {
    text-align: left;
}

.bubble:nth-child(even) {
    text-align: right;
}

.bubble:nth-child(odd) > div {
    margin-right: 48px;
}

.bubble:nth-child(even) > div {
    margin-left: 48px;
}

.bubble > div {
    position: relative;
    display: inline-block;
    text-align: center;
    margin-bottom: 12px;
    padding: 12px 24px;
    background: #fff;
    color: #555555;
    border: 1px solid #ccc;
    border-radius: 14px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.05);
}

.bubble > div::after {
    content: "";
    position: absolute;
    bottom: -7.5px;
    width: 14px;
    height: 14px;
    background: #fff;
    border: 1px solid #ccc;
    transform: rotate(45deg);
    box-sizing: border-box;
    border-top: none;
    border-left: none;
    border-bottom-right-radius: 2px;
}

.bubble:nth-child(odd) > div::after {
    left: 18px;
}

.bubble:nth-child(even) > div::after {
    right: 18px;
}

.input-item {
    border-radius: 20px;
}

.input-image {
    height: 12rem;
    background-size: cover;
    background-position: center center;
    background-color: #aaaaaa;
    border-top-left-radius: 19px;
    border-top-right-radius: 19px;
    text-align: right;
}

.input-image-headphones {
    background-image: url('/images/headphones.jpg');
}

html[data-bs-theme=dark] .input-image-headphones {
    background-image: url('/images/headphones-dark.jpg');
}

.input-image-bluetooth {
    background-image: url('/images/bluetooth.jpg');
}

html[data-bs-theme=dark] .input-image-bluetooth {
    background-image: url('/images/bluetooth-dark.jpg');
}

.preview-image {
    width: 100%;
    background-size: cover;
    background-position: center center;
    aspect-ratio: 1;
}

.preview-image-history {
    background-image: url('/images/history.png');
}

html[data-bs-theme=dark] .preview-image-history {
    background-image: url('/images/history-dark.png');
}

.preview-image-replay {
    background-image: url('/images/replay.png');
}

html[data-bs-theme=dark] .preview-image-replay {
    background-image: url('/images/replay-dark.png');
}